from Cython.Build import cythonize

from subprocess import check_call

import fnmatch
import os

excluded_files = ['__init__.py', 'cythonize.py', 'manage.py', 'settings.py', 'config.py', 'config.ini', 'consumer.py']


def is_excluded(filename):
    return os.path.basename(filename) in excluded_files

current_dir = os.path.dirname(os.path.abspath(__file__))
matches = []
for root, dirnames, filenames in os.walk(current_dir):
    if not ('.env' in root or 'migrations' in root):
        for filename in fnmatch.filter(filenames, '*.py'):
            matches.append(os.path.join(root, filename))

files = [fn for fn in matches if not is_excluded(fn)]

for filepath in files:
    file_no_ext = filepath.rsplit('.', 1)[0]
    cythonize(filepath)
    check_call(['gcc', '-shared', '-pthread', '-fPIC', '-fwrapv', '-O2',
                '-Wall', '-fno-strict-aliasing',
                '-I/usr/include/python3.6m', '-o',
                '{}.so'.format(file_no_ext), '{0}.c'.format(file_no_ext)])
    os.remove(filepath)
    os.remove(file_no_ext + '.c')

