# Generated by Django 2.1.1 on 2019-07-30 11:51

from django.db import migrations, models
import uuid

def create_uuid(apps, schema_editor):
    RemoteWfAlias = apps.get_model('dispatcher', 'RemoteWfAlias')
    for remote_wf_alias in RemoteWfAlias.objects.all():
        remote_wf_alias.uuid = uuid.uuid4()
        remote_wf_alias.save()

class Migration(migrations.Migration):

    dependencies = [
        ('dispatcher', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='remotewfalias',
            name='uuid',
            field=models.UUIDField(blank=True, editable=False, unique=True, null=True),
        ),
        migrations.RunPython(create_uuid),
        migrations.AlterField(
            model_name='remotewfalias',
            name='uuid',
            field=models.UUIDField(blank=True, editable=False, unique=True, default=uuid.uuid4())
        )
    ]
