# Generated by Django 2.0.9 on 2019-07-22 09:50

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ModelMmd',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('model_name', models.CharField(max_length=500)),
                ('model_uuid', models.CharField(max_length=500)),
                ('status', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, null=True)),
                ('mmd', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='StagingMmd',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('model_name', models.CharField(max_length=500)),
                ('model_uuid', models.CharField(max_length=500)),
                ('status', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, null=True)),
                ('mmd', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Tenant',
            fields=[
                ('name', models.CharField(max_length=500)),
                ('status', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, null=True)),
                ('tenant_id', models.CharField(max_length=1000, unique=True)),
                ('uuid', models.CharField(max_length=500, unique=True, primary_key=True)),
                ('data', django.contrib.postgres.fields.jsonb.JSONField(blank=True, default=dict, null=True)),
                ('role', models.CharField(blank=True, max_length=500, null=True)),
                ('allow_remote_mmd_modification', models.BooleanField(default=True, blank=True, null=True)),
            ],
        ),
        migrations.AddField(
            model_name='stagingmmd',
            name='tenant',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='staging_mmd', to='tenant.Tenant', to_field='uuid'),
        ),
        migrations.AddField(
            model_name='modelmmd',
            name='tenant',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='model_mmd', to='tenant.Tenant', to_field='uuid'),
        ),
        migrations.AlterUniqueTogether(
            name='stagingmmd',
            unique_together={('model_name', 'tenant')},
        ),
        migrations.AlterUniqueTogether(
            name='modelmmd',
            unique_together={('model_name', 'tenant')},
        ),
    ]
